Skip to main content
GET
/
monetization
/
offers
/
v1
cURL
curl --request GET \
  --url https://api.mottostreaming.com/monetization/offers/v1 \
  --header 'Authorization: Bearer <token>'
{
  "offers": [
    {
      "project_id": "<string>",
      "name": "<string>",
      "localized_title": {},
      "localized_description": {},
      "id": "<string>",
      "cleeng_offer_id": "<string>",
      "applies_to_all": true,
      "target": {
        "entity_ids": [
          "<string>"
        ],
        "event_ids": [
          "<string>"
        ],
        "creative_work_ids": [
          "<string>"
        ],
        "content_start_time": "2023-11-07T05:31:56Z",
        "content_end_time": "2023-11-07T05:31:56Z"
      },
      "localized_logo_asset_id": {},
      "localized_image_asset_id": {},
      "offer_prices": [
        {
          "id": "<string>",
          "msrp_price": {
            "currency_code": "<string>",
            "units": "<string>",
            "nanos": 123
          },
          "price": {
            "currency_code": "<string>",
            "units": "<string>",
            "nanos": 123
          },
          "billing_period": "BILLING_PERIOD_UNSPECIFIED",
          "access_period": "ACCESS_PERIOD_UNSPECIFIED",
          "geo_restrictions_disallow": {
            "country_codes": [
              "<string>"
            ]
          },
          "geo_restrictions_allow": {
            "country_codes": [
              "<string>"
            ]
          },
          "priority": "<string>",
          "stripe_product_id": "<string>",
          "app_store_product_id": "<string>",
          "play_store_sku": "<string>"
        }
      ],
      "priority": "<string>",
      "concurrency_limit": "<string>",
      "visibility": "VISIBILITY_UNSPECIFIED",
      "video_protection_ruleset_id": "<string>"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer<int32>

Maximum number of records to return

project_id
string
filter
string

Filter the result-set by properties using a subset of the Kibana Query Language. Only AND statements are supported. Currently supports filtering on:

  • cleeng_offer_id (string)
  • is_subscription (boolean) - is true when at least one of the attached offer prices has a billing period other than ONE_TIME
  • is_template (boolean) - is true when there is no content targeting at all
  • applies_to_all_content (boolean) - is true when the offer applies to all content, false if it applies to specific content.
  • entity_ids (array of strings) - matches offers that apply to at least one of the specified entity IDs. You MUST use the >@ operator for this field, e.g. entity_ids>@(entityID1 OR entityID2)
  • event_ids (array of strings) - matches offers that apply to at least one of the specified event IDs. You MUST use the >@ operator for this field, e.g. event_ids>@(eventID1 OR eventID2)
  • creative_work_ids (array of strings) - matches offers that apply to at least one of the specified creative work IDs. You MUST use the >@ operator for this field, e.g. creative_work_ids>@(creativeWorkID1 OR creativeWorkID2)
order_by
string

Specifies the result ordering for List requests. Supported values are:

  • "last_update_time desc" - default
  • "applicability_type asc, last_update_time desc" - shows rulesets targeting all content first, then entities, then events. Sorted by last_update_time within the same applicability type.
page_token
string

The pagination token in the List request.

Response

OK

offers
object[]
next_page_token
string

The pagination token that should be used to get next page results. An empty value means no more results